Package com.pixelmed.network

# Class NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener

java.lang.Object
com.pixelmed.network.NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  NetworkConfigurationFromMulticastDNS

protected class NetworkConfigurationFromMulticastDNS.OurJmDNSServiceListener extends Object implements InvocationHandler

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OurJmDNSServiceListener()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`
`void`
`serviceAdded(javax.jmdns.ServiceEvent event)`
`void`
`serviceRemoved(javax.jmdns.ServiceEvent event)`
`void`
`serviceResolved(javax.jmdns.ServiceEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OurJmDNSServiceListener

protected OurJmDNSServiceListener()

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`

### serviceAdded

public void serviceAdded(javax.jmdns.ServiceEvent event)

### serviceRemoved

public void serviceRemoved(javax.jmdns.ServiceEvent event)

### serviceResolved

public void serviceResolved(javax.jmdns.ServiceEvent event)